> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# listenConversation

> Creates a SSE stream to receive messages and events from a conversation



## OpenAPI

````yaml chat-openapi.json GET /conversations/{id}/listen
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /conversations/{id}/listen:
    get:
      tags:
        - Endpoints
      summary: Listen Conversation
      description: Creates a SSE stream to receive messages and events from a conversation
      operationId: listenConversation
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns nothing but a stream
          content:
            application/json:
              schema:
                type: object
                title: listenConversationResponse
                additionalProperties: false
        default:
          description: Returns nothing but a stream
          content:
            application/json:
              schema:
                type: object
                title: listenConversationResponse
                additionalProperties: false

````